Skip to main content
GET
Get extraction results

Response structure

The response contains extracted data organized hierarchically. Each field in extracted_data can be either:
  • A primitive field (like invoice_number)
  • An object containing nested fields (like customer)
  • An array of objects (like line_items)
Each primitive field contains:
  • name: Field identifier
  • value: Extracted content
  • confidence: Accuracy score (0-1)
  • field_type: Data type (string, number, date, phone, email)
  • page_index: Page from which the value was extracted
  • source_context: Extraction context details
See below for an example with primitives, objects and an array:

Headers

Authorization
string<bearer>
required

Bearer token for authentication

Path Parameters

extraction_id
string
required

ID of the extraction job

Response

200 - application/json

Extraction results

extraction_id
string
required

ID of the extraction job

file_id
string
required

ID of the file being processed

status
enum<string>
required

Status of the extraction job

Available options:
PENDING,
PROCESSING,
COMPLETED,
FAILED
created_at
string<date-time>
required

When the job was created

schema_name
string
required

Name of the schema used for extraction

schema_description
string
required

Description of the schema used for extraction

extracted_data
object
required

Object containing extracted data. See above for more information about the structure of this object.

processing_metadata
object
required